<?
	$this->has_package = $this->escort->hasProduct(1);
    $this->profile_disabled = ( isset($this->escort->escort_status) && $this->escort->escort_status != 32 );
?>

<? if ( $this->has_package ): ?>
<div id="info-bar-full">

	<?= '<span style="display: none">14234</span>' ?>
	<div id="info-bar">
		<?php $filtered_phone =  (isset($this->escort->phone_country_id) && !$this->escort->disable_phone_prefix) ? '+'.Model_Countries::getPhonePrefixById($this->escort->phone_country_id) . $this->escort->phone_number : $this->escort->phone_number; ?>
		<? if( $this->info_bar_phone || TRUE ): ?>
            <? if ( ! $this->profile_disabled && $this->has_package): ?>
                <div class="info-bar-i">
					<span class="phone"><a onclick="ga('send', 'event', 'PhoneCall', 'tap');" href="tel:<?= $filtered_phone ?>"><?= $filtered_phone ?></a></span>
                </div>
            <? endif; ?>
		<? endif; ?>


	<?
	$current_user = Model_Users::getCurrent();
	$DEFINITIONS = Zend_Registry::get('defines');
	?>
	<? if ( ! isset($current_user) ): ?>
		<div id="alertme">
			<a href="#" class="alm-btn" onclick="show_alertme(); return false;" id="alm-btn"><?= __('alm_alert_me') ?></a>

			<div class="alm-wr none" id="alm-wr-m">
				<div class="alm-bg-top"></div>
				<div class="alm-bg" id="alm-bg">
					<div class="alm-x" id="alm-x" onclick="hide_alertme()"></div>
					<div class="text">
						<div class="blue i"><?= __('alm_alert_system') ?>:</div>
						<p>
							<?= __('alm_reg_text_1') ?>
						</p>
						<p>
							<?= __('alm_reg_text_2') ?> <span class="blue"><?= __('alm_reg_text_3') ?></span>
						</p>
					</div>

					<div class="alm-reg-wr">
						<a href="<?= $this->getLink('signup', array('type' => 'member')) ?>" class="alm-reg"><?= __('alm_reg_for_free') ?></a>
					</div>
				</div>
				<div class="alm-bg-bottom"></div>
			</div>


		</div>
		<? else: ?>

		<div id="alertme">
			<?
			if ($this->isInAlerts($current_user->id, $this->escort->id))
			{
				$cl = 'none';
				$cl_a = '';

			}
			else
			{
				$cl = '';
				$cl_a = 'none';
			}
			?>
			<div id="alm-b-a" onclick="show_alertme(); return false;" class="<?= $cl_a ?>"><a href="#" class="alm-btn-m active"><?= __('alm_alert_active') ?></a></div>
			<div id="alm-b"   onclick="show_alertme(); return false;" class="<?= $cl ?>"><a href="#" class="alm-btn-m"><?= __('alm_alert_me') ?></a></div>

			<div class="alm-wr none" id="alm-wr-m">
				<div class="alm-bg-top"></div>
				<div class="alm-bg" id="alm-bg-m">
					<div class="alm-x" id="alm-x" onclick="hide_alertme()"></div>
					<form action="" method="post" id="alertme_form">
						<div class="text">
							<div class="blue i"><?= __('alm_inform') ?>:</div>

								<label for="alm-<?= ALERT_ME_NEW_COMMENT ?>">
									<input type="checkbox" name="events[<?= $this->escort->id ?>][<?= ALERT_ME_NEW_COMMENT ?>]" <?= ( in_array( ALERT_ME_NEW_COMMENT ,$this->currentEvents ) && !$this->anyChange )?"checked":""; ?> id="alm-<?= ALERT_ME_NEW_COMMENT ?>" /> <span><?= $DEFINITIONS['alert_me'][ALERT_ME_NEW_COMMENT] ?></span>
								</label>
								<label for="alm-<?= ALERT_ME_MODIFICATION_ON_PROFILE ?>">
									<input type="checkbox" name="events[<?= $this->escort->id ?>][<?= ALERT_ME_MODIFICATION_ON_PROFILE ?>]" <?= ( in_array( ALERT_ME_MODIFICATION_ON_PROFILE ,$this->currentEvents ) && !$this->anyChange )?"checked":""; ?> id="alm-<?= ALERT_ME_MODIFICATION_ON_PROFILE ?>" /> <span><?= $DEFINITIONS['alert_me'][ALERT_ME_MODIFICATION_ON_PROFILE] ?></span>
								</label>
								<label for="alm-<?= ALERT_ME_NEW_PICTURES ?>">
									<input type="checkbox" name="events[<?= $this->escort->id ?>][<?= ALERT_ME_NEW_PICTURES ?>]" <?= ( in_array( ALERT_ME_NEW_PICTURES ,$this->currentEvents ) && !$this->anyChange )?"checked":""; ?> id="alm-<?= ALERT_ME_NEW_PICTURES ?>" /> <span><?= $DEFINITIONS['alert_me'][ALERT_ME_NEW_PICTURES] ?></span>
								</label>
								<label for="alm-<?= ALERT_ME_NEW_REVIEW ?>">
									<input type="checkbox" name="events[<?= $this->escort->id ?>][<?= ALERT_ME_NEW_REVIEW ?>]" <?= ( in_array( ALERT_ME_NEW_REVIEW ,$this->currentEvents ) && !$this->anyChange )?"checked":""; ?> id="alm-<?= ALERT_ME_NEW_REVIEW ?>" /> <span><?= $DEFINITIONS['alert_me'][ALERT_ME_NEW_REVIEW] ?></span>
								</label>
								<label for="alm-<?= ALERT_ME_ANY_CHANGE ?>">
									<input type="checkbox" name="events[<?= $this->escort->id ?>][<?= ALERT_ME_ANY_CHANGE ?>]" <?= ( $this->anyChange )?"checked":""; ?> id="alm-<?= ALERT_ME_ANY_CHANGE ?>" /> <span><?= $DEFINITIONS['alert_me'][ALERT_ME_ANY_CHANGE] ?></span>
								</label>
								<label for="alm-<?= ALERT_ME_CITY ?>">
									<input type="checkbox" name="events[<?= $this->escort->id ?>][<?= ALERT_ME_CITY ?>]" <?= ( in_array( ALERT_ME_CITY ,$this->currentEvents ) )?"checked":""; ?> id="alm-<?= ALERT_ME_CITY ?>" /> <span><?= $DEFINITIONS['alert_me'][ALERT_ME_CITY] ?></span>
								</label>
								<? if ($this->cities_list): ?>
								<label class="fl ">
									<select name="city_id" id="city_id" class="w120">
										<option value="">- - -</option>
										<? if (isset($this->countries_list) && count($this->countries_list) > 0): ?>
											<? foreach ($this->countries_list as $country): ?>
												<option value="" disabled="disabled" class="disabled"><?= $country->title ?></option>
												<? foreach ($this->cities_list as $city): ?>
													<? if ($city->country_id == $country->id): ?>
														<option value="<?= $city->id ?>" class="c-city"><?= $city->title ?></option>
													<? endif; ?>
												<? endforeach; ?>
											<? endforeach; ?>
										<? else: ?>
											<? foreach ($this->cities_list as $city): ?>
												<option value="<?= $city->id ?>"><?= $city->title ?></option>
											<? endforeach; ?>
										<? endif; ?>
									</select>
								</label>
								<label class="fl">
									<button type="submit" name="addcity" class="alertme-city-btn">
										<span>Add</span>
									</button>
								</label>
								<div class="clear"></div>
								<label id="city-items">
									<?
									$cities_str = $this->cities_str;

									if (strlen($cities_str) > 0): ?>
										<? $m = new Model_Cities(); $cities = $m->getByIds($cities_str); ?>
										<? foreach ($cities as $c): ?>
											<div class="city-item-wr">
												<a id="<?= $c->id ?>" onclick="removeCity(this)" class="city-item" rel="<?= $k ?>"></a><?= $c->title ?>
												<input type="hidden" class="cts" name="cities[<?= $this->escort->id; ?>][<?php echo $c->id; ?>]" value="<?= $this->escort->id . '-' . $c->id ?>" />
												<div class="clear"></div>
											</div>
										<? endforeach; ?>
									<? endif; ?>
								</label>
								<? endif; ?>

								<div class="clear"></div>

						</div>

						<div class="alm-reg-wr">
							<input type="submit" id="alm-save" class="alm-reg save" name="save" value="<?= __('alm_save') ?>" />
<!--							<a href="#" id="alm-save" class="alm-reg save"><?= __('alm_save') ?></a>-->
						</div>
					</form>
				</div>
				<div class="alm-bg-bottom"></div>
			</div>


		</div>
		<? endif; ?>

		<div class="clear"></div>
	</div>
</div>
<div class="clear"></div>
<? endif; ?>